% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/print.faMB.R
\name{print.faMB}
\alias{print.faMB}
\title{Print  Method for an Object of Class faMB}
\usage{
\method{print}{faMB}(x, ..., digits = 2, Set = 1, itemSort = FALSE)
}
\arguments{
\item{x}{(Object of class \strong{faMB}) The returned object 
from a call to \strong{faMB}.}

\item{\dots}{Additional arguments affecting the summary produced.}

\item{digits}{(Integer) Print output with user-specified number of significant digits. Default \code{digits = 2}.}

\item{Set}{\itemize{
 \item{integer} (Integer) Summarize the solution from the specified solution set. 
 \item{'UnSpun'} (Character) Summarize the solution from the rotated output that was 
  produced by rotating from the unrotated (i.e., unspun) factor orientation.
}}

\item{itemSort}{(Logical) If TRUE, sort the order of the observed variables to produce
a "staircase"-like pattern.  Defaults to \code{itemSort} = FALSE.}
}
\description{
Print  Method for an Object of Class faMB
}
\seealso{
Other Factor Analysis Routines: 
\code{\link{BiFAD}()},
\code{\link{Box26}},
\code{\link{GenerateBoxData}()},
\code{\link{Ledermann}()},
\code{\link{SLi}()},
\code{\link{SchmidLeiman}()},
\code{\link{faAlign}()},
\code{\link{faEKC}()},
\code{\link{faIB}()},
\code{\link{faLocalMin}()},
\code{\link{faMB}()},
\code{\link{faMain}()},
\code{\link{faScores}()},
\code{\link{faSort}()},
\code{\link{faStandardize}()},
\code{\link{faX}()},
\code{\link{fals}()},
\code{\link{fapa}()},
\code{\link{fareg}()},
\code{\link{fsIndeterminacy}()},
\code{\link{orderFactors}()},
\code{\link{print.faMain}()},
\code{\link{promaxQ}()},
\code{\link{summary.faMB}()},
\code{\link{summary.faMain}()}
}
\concept{Factor Analysis Routines}
